#pragma once

#include <string>

namespace fcf{

  int                 find_str(const char* a_data, int a_offset, int a_end, const char* a_sought);
  int                 find_stri(const char* a_data, int a_offset, int a_end, const char* a_sought);

  std::wstring        utf8str_to_wstr_cstr(const char* a_str);
  template <typename Ty>
  inline std::wstring utf8str_to_wstr(Ty a_str) { return utf8str_to_wstr_cstr(&a_str[0]); }

  std::string         wstr_to_utf8str_cstr(const wchar_t* a_str);
  template <typename Ty>
  inline std::string  wstr_to_utf8str(Ty a_str) { return wstr_to_utf8str_cstr(&a_str[0]); }
}